Printable version

Drivers & software

Fibreutils for HP Storage Fibre Channel Host Bus Adapters for Linux (x86_64)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - Storage Controllers - FC HBA
Version: 3.2-6(B)(17 Jun 2014)
Operating System(s): Oracle Linux 5 (AMD64/EM64T)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
File name: fibreutils-3.2-6.x86_64.rpm (29 KB)
Provides miscellaneous utilities in support of the HP supported fibre channel host bus adapter drivers.

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for Red Hat Enterprise Linux 7.

Prerequisites:
- Requires the following packages to be installed: glibc libgcc libstdc++ bash perl


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

519c7ca6a2488f2214e307eea83275bf04f8586290be8d659073f474e916a434 fibreutils-3.2-6.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Download fibreutils RPM.
Use rpm -Uvh command to install/upgrade RPM.


End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Version:3.3-5(b) (27 Sep 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated code for the following:

  • Emulex CNA Driver display due to split
  • Optrom version display

Version:3.3-5 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated code for the following:

  • Emulex CNA Driver display due to split
  • Optrom version display

Version:3.3-3 (16 Nov 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.3-1(B) (24 Oct 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.3-2 (26 Sep 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for HPE SN1600Q 32Gb FC HBA


Version:3.2-6(F) (1 Apr 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.3-1 (31 Mar 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.2-6(E) (1 Oct 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Linux Enterprise Server 12.


Version:3.2-6(D) (15 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Linux Enterprise Server 12.


Version:3.2-6(C) (25 Nov 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Linux Enterprise Server 12.


Version:3.2-6(B) (17 Jun 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for Red Hat Enterprise Linux 7.


Version:2.1-5 (16 Jan 2007)
Enhancements
Synced up with the latest shipping version.

Version:2.0-8 (25 Sep 2006)
Enhancements
Synced up with the latest shipping version.

Version:2.0-4b (16 Jun 2006)
Enhancements
Maintenance release for SmartStart 7.52.

Version:2.0-4 (13 Apr 2006)
Fixes
Resolved issue in probe-luns system start scripts when HP devlabel is installed.

Version:1.11-3 (9 Sep 2005)
Fixes
Corrected the following:
  • Issuing a SCSI remove-single-device to /proc/scsi/scsi that would cause i/o errors on already configured devices
  • Grep command syntax for RHAS 2.1
Enhancements
Added optional probe-luns startup code.

Version:1.10-5 (4 May 2005)
Fixes
Resolved boot from SAN panic issue where hp_rescan was removing XP devices.

Updated to not execute "scsi remove-single-device" on Red Hat Enterprise Linux 4; This resulted in i/o errors.


Version:1.9.0-2 (14 Feb 2005)
Enhancements
Added lssg script.

Type: Software - Storage Controllers - FC HBA
Version: 3.2-6(B)(17 Jun 2014)
Operating System(s):
Oracle Linux 5 (AMD64/EM64T)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 10 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (AMD64/EM64T)

Description

Provides miscellaneous utilities in support of the HP supported fibre channel host bus adapter drivers.

Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for Red Hat Enterprise Linux 7.

Installation Instructions

Prerequisites:
- Requires the following packages to be installed: glibc libgcc libstdc++ bash perl


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

519c7ca6a2488f2214e307eea83275bf04f8586290be8d659073f474e916a434 fibreutils-3.2-6.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Download fibreutils RPM.
Use rpm -Uvh command to install/upgrade RPM.


Release Notes

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Revision History

Version:3.3-5(b) (27 Sep 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated code for the following:

  • Emulex CNA Driver display due to split
  • Optrom version display

Version:3.3-5 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated code for the following:

  • Emulex CNA Driver display due to split
  • Optrom version display

Version:3.3-3 (16 Nov 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.3-1(B) (24 Oct 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.3-2 (26 Sep 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for HPE SN1600Q 32Gb FC HBA


Version:3.2-6(F) (1 Apr 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.3-1 (31 Mar 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


General update.


Version:3.2-6(E) (1 Oct 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Linux Enterprise Server 12.


Version:3.2-6(D) (15 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Linux Enterprise Server 12.


Version:3.2-6(C) (25 Nov 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Linux Enterprise Server 12.


Version:3.2-6(B) (17 Jun 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for Red Hat Enterprise Linux 7.


Version:2.1-5 (16 Jan 2007)
Enhancements
Synced up with the latest shipping version.

Version:2.0-8 (25 Sep 2006)
Enhancements
Synced up with the latest shipping version.

Version:2.0-4b (16 Jun 2006)
Enhancements
Maintenance release for SmartStart 7.52.

Version:2.0-4 (13 Apr 2006)
Fixes
Resolved issue in probe-luns system start scripts when HP devlabel is installed.

Version:1.11-3 (9 Sep 2005)
Fixes
Corrected the following:
  • Issuing a SCSI remove-single-device to /proc/scsi/scsi that would cause i/o errors on already configured devices
  • Grep command syntax for RHAS 2.1
Enhancements
Added optional probe-luns startup code.

Version:1.10-5 (4 May 2005)
Fixes
Resolved boot from SAN panic issue where hp_rescan was removing XP devices.

Updated to not execute "scsi remove-single-device" on Red Hat Enterprise Linux 4; This resulted in i/o errors.


Version:1.9.0-2 (14 Feb 2005)
Enhancements
Added lssg script.

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.